Mark finance library as deprecated in API docs

Description

The finance library that ships as part of Corda is apparently deprecated as of 4.3, meaning:

  • We discourage use of the library

  • We won't support it going forward

  • We will remove it at some point

This was apparently mentioned in the release notes, but there is no reference to this in any of the API documentation, e.g:

https://docs.corda.net/api/kotlin/corda/net.corda.finance/index.html

This documentation should be updated to communicate the above points.

Assignee

Ramzi El-Yafi

Reporter

Ramzi El-Yafi

Labels

None

Sprint

None

Epic Link

None

Priority

Medium

Due Date

None

Engineering Teams

None

Fix versions

Affects versions

None

Ported to...

None

Story Points / Dev Days

None
Configure